#3599 closed task (fixed)

Remove m32c architecture port

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/m32c Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3143, #3585, #3613

Description

The m32c architecture port is incomplete, e.g. important features such as interrupt support are missing. It never run on real hardware. The tools are out dated and unmaintained. There are no known users:

https://lists.rtems.org/pipermail/users/2018-January/031991.html

Change History (9)

comment:1 Changed on Nov 8, 2018 at 3:15:33 PM by Sebastian Huber

Blocking: 3585 added

comment:2 Changed on Nov 12, 2018 at 6:02:58 AM by Sebastian Huber <sebastian.huber@…>

In bfcf1473/rtems:

m32c: Remove this target

Update #3599.

comment:3 Changed on Nov 12, 2018 at 6:03:34 AM by Sebastian Huber <sebastian.huber@…>

In 1a704cd/rtems-docs:

Remove m32c architecture port

Update #3599.

comment:4 Changed on Nov 12, 2018 at 6:04:33 AM by Sebastian Huber <sebastian.huber@…>

In bd59c23/rtems-tools:

Remove m32c support

Update #3599.

comment:5 Changed on Nov 12, 2018 at 6:04:56 AM by Sebastian Huber <sebastian.huber@…>

In 25a5f24/rtems-source-builder:

m32c: Remove this build set

Update #3599.

comment:6 Changed on Nov 12, 2018 at 6:44:18 AM by Sebastian Huber

Blocking: 3143 added

comment:7 Changed on Nov 14, 2018 at 6:00:04 AM by Sebastian Huber <sebastian.huber@…>

In d665fdb/rtems-source-builder:

5: Update RTEMS tools

Pick up m32c removal.

Update #3599.

comment:8 Changed on Nov 19, 2018 at 8:59:54 AM by Sebastian Huber

Blocking: 3613 added

comment:9 Changed on Nov 19, 2018 at 9:00:10 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.